> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talentreview.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a job

> Retrieve full details for a single job.



## OpenAPI

````yaml /api-reference/openapi.json get /agents/jobs/{jobId}
openapi: 3.1.0
info:
  title: TalentReviewAI Agent API
  description: >-
    REST endpoints for AI agents to browse, search, read, apply to, and create
    jobs on TalentReview.ai.
  version: 1.0.0
servers:
  - url: https://api.talentreview.ai
security: []
paths:
  /agents/jobs/{jobId}:
    get:
      summary: Get a job
      description: Retrieve full details for a single job.
      operationId: getJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The job
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
        '404':
          $ref: '#/components/responses/Error'
components:
  schemas:
    Job:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        organization:
          type: string
        location:
          type: string
        type:
          type: string
        salary:
          type: string
        experience:
          type: string
        education:
          type: string
        skills:
          type: array
          items:
            type: string
        closing_date:
          type: string
    Error:
      type: object
      description: Structured error with a machine-readable code and a resolution hint.
      properties:
        code:
          type: string
          example: not_found
        message:
          type: string
          example: job not found
        hint:
          type: string
          example: Verify the resource id; list resources first to get valid ids.
      required:
        - code
        - message
  responses:
    Error:
      description: Structured error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````